org.apache.ignite.internal.processors.datastructures

## Class GridCacheQueueHeader

- java.lang.Object
- - org.apache.ignite.internal.processors.datastructures.GridCacheQueueHeader

All Implemented Interfaces:
  Externalizable, Serializable, GridCacheInternal

    public class GridCacheQueueHeader
    extends Object
    implements GridCacheInternal, Externalizable

Queue header.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridCacheQueueHeader()` Required by `Externalizable`.
`GridCacheQueueHeader(IgniteUuid id, int cap, boolean collocated, long head, long tail, Set<Long> rmvIdxs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `bounded()`
`int` `capacity()`
`boolean` `collocated()`
`boolean` `empty()`
`boolean` `full()`
`long` `head()`
`IgniteUuid` `id()`
`void` `readExternal(ObjectInput in)`
`Set<Long>` `removedIndexes()`
`int` `size()`
`long` `tail()`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheQueueHeader

    public GridCacheQueueHeader()

Required by `Externalizable`.

#### GridCacheQueueHeader

    public GridCacheQueueHeader(IgniteUuid id,
                                int cap,
                                boolean collocated,
                                long head,
                                long tail,
                                @Nullable
                                Set<Long> rmvIdxs)

Parameters:
  `id` - Queue unique ID.
  `cap` - Capacity.
  `collocated` - Collocation flag.
  `head` - Queue head index.
  `tail` - Queue tail index.
  `rmvIdxs` - Indexes of removed items.

### Method Detail

#### id

    public IgniteUuid id()

Returns:
  Queue unique ID.

#### capacity

    public int capacity()

Returns:
  Capacity.

#### collocated

    public boolean collocated()

Returns:
  Queue collocation flag.

#### head

    public long head()

Returns:
  Head index.

#### tail

    public long tail()

Returns:
  Tail index.

#### bounded

    public boolean bounded()

Returns:
  `True` if queue is bounded.

#### empty

    public boolean empty()

Returns:
  `True` if queue is empty.

#### full

    public boolean full()

Returns:
  `True` if queue is full.

#### size

    public int size()

Returns:
  Queue size.

#### removedIndexes

    @Nullable
    public Set<Long> removedIndexes()

Returns:
  Indexes of removed items.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019